Solid Edge Geometry Type Library
GetDerivatives Method
Specifies the number of parameters to be evaluated.
Specifies the array of parameters at which to evaluate the curve.
Returns the array of first derivatives. Can be NULL if not required.
Returns the array of second derivatives. Can be NULL if not required.
Returns the array of third derivatives. Can be NULL if not required.
Description
Evaluates the derivatives of the referenced curve at the points given by an array of parameters on the curve.
Syntax
Visual Basic
Public Sub GetDerivatives( _
   ByVal NumParams As Long, _
   ByRef Params() As Double, _
   ByRef FirstDerv() As Double, _
   ByRef SecondDerv() As Double, _
   ByRef ThirdDerv() As Double _
) 
Parameters
NumParams
Specifies the number of parameters to be evaluated.
Params
Specifies the array of parameters at which to evaluate the curve.
FirstDerv
Returns the array of first derivatives. Can be NULL if not required.
SecondDerv
Returns the array of second derivatives. Can be NULL if not required.
ThirdDerv
Returns the array of third derivatives. Can be NULL if not required.
Remarks
The derivatives up to the third order can be output. You can choose to not obtain any of the derivatives by specifying a NULL in place of the corresponding output argument.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeframework.Application
    Dim objDoc As SolidEdgePart.PartDocument
    Dim objLoops As Object
    Dim objEdgeUse As solidedgegeometry.EdgeUse
    Dim dblParams(1 To 2) As Double
    Dim dblFirst() As Double
    Dim dblSecond() As Double
    Dim dblThird() As Double
    Const TESTFILE = "T:\vbtests\testcases\halfcyl.par"
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.PartDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    Call objDoc.Close
    ' opening the test case file
    Set objDoc = objApp.Documents.Open(TESTFILE)
    ' getting the collection of loops from the body object in the model
    Set objLoops = objDoc.Models(1).Body.Faces(FaceType:=igQueryAll).Item(1).Loops
    ' getting an EdgeUse object for a loop
    Set objEdgeUse = objLoops.Item(1).EdgeUses.Item(1)
    ' getting the derivatives at a point for an EdgeUse object
    dblParams(1) = 0
    Call objEdgeUse.GetDerivatives(NumParams:=1, Params:=dblParams, FirstDerv:=dblFirst, _
                                   SecondDerv:=dblSecond, ThirdDerv:=dblThird)
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objLoops = Nothing
    Set objEdgeUse = Nothing
End Sub
See Also

EdgeUse Object  | EdgeUse Members

Send comments on this topic.